esys_flutter_share 0.0.5

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new78

esys_flutter_share

A Flutter plugin for sharing images & text with other applications.

Usage

Import:

import 'package:esys_flutter_share/esys_flutter_share.dart';

Share text:

await EsysFlutterShare.shareText('This is my text to share with other applications.', 'my text title');

Share image:

final ByteData bytes = await rootBundle.load('assets/image.png');
await EsysFlutterShare.shareImage('myImageTest.png', bytes, 'my image title');

Check out the example app in the Repository for further information.

0.0.1

  • initial release

0.0.2

  • meta information added

0.0.3

  • meta information added

0.0.4

  • meta information added

0.0.5

  • Use FileProvider subclass to avoid collisions

example/README.md

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:esys_flutter_share/esys_flutter_share.dart';

void main() => runApp(MaterialApp(
      home: MaterialApp(
        home: MyHomePage(),
      ),
    ));

class MyHomePage extends StatefulWidget {
  MyHomePage();

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('Esys Share Plugin Sample'),
        ),
        body: Container(
            padding: const EdgeInsets.all(20.0),
            child: ListView(
              children: <Widget>[
                MaterialButton(
                  child: Text('Share text'),
                  onPressed: () async => await _shareText(),
                ),
                MaterialButton(
                  child: Text('Share image'),
                  onPressed: () async => await _shareImage(),
                ),
              ],
            )));
  }

  Future _shareText() async {
    try {
      await EsysFlutterShare.shareText(
          'This is my text to share with other applications.', 'my text title');
    } catch (e) {
      print('error: $e');
    }
  }

  Future _shareImage() async {
    try {
      final ByteData bytes = await rootBundle.load('assets/image.png');
      await EsysFlutterShare.shareImage(
          'myImageTest.png', bytes, 'my image title');
    } catch (e) {
      print('error: $e');
    }
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  esys_flutter_share: ^0.0.5

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:esys_flutter_share/esys_flutter_share.dart';
  
Version Uploaded Documentation Archive
0.0.5 Nov 30, 2018 Go to the documentation of esys_flutter_share 0.0.5 Download esys_flutter_share 0.0.5 archive
0.0.4 Nov 22, 2018 Go to the documentation of esys_flutter_share 0.0.4 Download esys_flutter_share 0.0.4 archive
0.0.3 Nov 21, 2018 Go to the documentation of esys_flutter_share 0.0.3 Download esys_flutter_share 0.0.3 archive
0.0.2 Nov 21, 2018 Go to the documentation of esys_flutter_share 0.0.2 Download esys_flutter_share 0.0.2 archive
0.0.1 Nov 21, 2018 Go to the documentation of esys_flutter_share 0.0.1 Download esys_flutter_share 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
60
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
78
Learn more about scoring.

We analyzed this package on Dec 5, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.7
  • Flutter: 1.0.0

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Maintenance suggestions

Package is pre-v0.1 release. (-10 points)

While there is nothing inherently wrong with versions of 0.0.*, it usually means that the author is still experimenting with the general direction of the API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
path_provider ^0.4.1 0.4.1
Transitive dependencies
collection 1.14.11
meta 1.1.6
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8